import { FC } from 'hono/jsx';
import Header from './layout/header';
import Footer from './layout/footer';

const Layout: FC = (props) => {
  return (
    <html>
      <head>
        <title>{props.siteData.title}</title>
      </head>
      <body>
        <Header title={props.siteData.title} />
        {props.children}
        <Footer title={props.siteData.copyright} />
      </body>
    </html>
  )
}

export default Layout;
